using System;

namespace InABox.Core
{
    public class FolderEditor : BaseEditor
    {
        public FolderEditor(Environment.SpecialFolder initialfolder)
        {
            InitialFolder = initialfolder;
        }

        public Environment.SpecialFolder InitialFolder { get; set; }

        protected override BaseEditor DoClone()
        {
            return new FolderEditor(InitialFolder);
        }
    }
}